From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: media-libs/cogl/
Date: Sun, 7 Dec 2014 23:08:41 +0000 (UTC) [thread overview]
Message-ID: <1417993712.2b72686a4d9ee3dccb170f681ad6d12735870a40.eva@gentoo> (raw)
commit: 2b72686a4d9ee3dccb170f681ad6d12735870a40
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 7 22:43:32 2014 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Dec 7 23:08:32 2014 +0000
URL: http://sources.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=2b72686a
media-libs/cogl: add wayland backend support
---
.../cogl/{cogl-9999.ebuild => cogl-1.18.2.ebuild} | 41 +++++++++-------------
media-libs/cogl/cogl-9999.ebuild | 14 ++++++--
2 files changed, 28 insertions(+), 27 deletions(-)
diff --git a/media-libs/cogl/cogl-9999.ebuild b/media-libs/cogl/cogl-1.18.2.ebuild
similarity index 82%
copy from media-libs/cogl/cogl-9999.ebuild
copy to media-libs/cogl/cogl-1.18.2.ebuild
index 0199c34..83e1cfc 100644
--- a/media-libs/cogl/cogl-9999.ebuild
+++ b/media-libs/cogl/cogl-1.18.2.ebuild
@@ -7,23 +7,16 @@ CLUTTER_LA_PUNT="yes"
# Inherit gnome2 after clutter to download sources from gnome.org
inherit clutter gnome2 multilib virtualx
-if [[ ${PV} = 9999 ]]; then
- inherit gnome2-live
-fi
DESCRIPTION="A library for using 3D graphics hardware to draw pretty pictures"
-HOMEPAGE="http://www.clutter-project.org/"
+HOMEPAGE="http://www.cogl3d.org/"
LICENSE="MIT BSD"
-SLOT="2.0/0" # subslot = .so version
+SLOT="1.0/20" # subslot = .so version
# doc and profile disable for now due bugs #484750 and #483332
-IUSE="examples gles2 gstreamer +introspection +opengl +pango test" # doc profile
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
- IUSE="${IUSE} doc"
-else
- KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
-fi
+IUSE="examples gles2 gstreamer +introspection +opengl +pango test wayland" # doc profile
+REQUIRED_USE="wayland? ( gles2 )"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
COMMON_DEPEND="
>=dev-libs/glib-2.32:2
@@ -44,6 +37,9 @@ COMMON_DEPEND="
introspection? ( >=dev-libs/gobject-introspection-1.34.2 )
pango? ( >=x11-libs/pango-1.20.0[introspection?] )
+ wayland? (
+ >=dev-libs/wayland-1.1.90
+ media-libs/mesa[egl,wayland] )
"
# before clutter-1.7, cogl was part of clutter
RDEPEND="${COMMON_DEPEND}
@@ -58,33 +54,28 @@ DEPEND="${COMMON_DEPEND}
"
# Need classic mesa swrast for tests, llvmpipe causes a test failure
-
-if [[ ${PV} = 9999 ]]; then
- DEPEND="${DEPEND}
- doc? (
- app-text/docbook-xml-dtd:4.1.2
- >=dev-util/gtk-doc-1.13 )"
-fi
+# For some reason GL3 conformance test all fails again...
+RESTRICT="test"
src_prepare() {
# Do not build examples
sed -e "s/^\(SUBDIRS +=.*\)examples\(.*\)$/\1\2/" \
- -i Makefile.am || die
+ -i Makefile.am Makefile.in || die
if ! use test ; then
# For some reason the configure switch will not completely disable
# tests being built
sed -e "s/^\(SUBDIRS =.*\)test-fixtures\(.*\)$/\1\2/" \
- -e "s/^\(SUBDIRS +=.*\)tests\(.*\)$/\1\2/" \
- -e "s/^\(.*am__append.* \)tests\(.*\)$/\1\2/" \
- -i Makefile.am || die
+ -e "s/^\(SUBDIRS +=.*\)tests\(.*\)$/\1\2/" \
+ -e "s/^\(.*am__append.* \)tests\(.*\)$/\1\2/" \
+ -i Makefile.am Makefile.in || die
fi
gnome2_src_prepare
}
src_configure() {
- # TODO: think about kms-egl, quartz, sdl, wayland
+ # TODO: think about kms-egl, quartz, sdl
# Prefer gl over gles2 if both are selected
# Profiling needs uprof, which is not available in portage yet, bug #484750
# FIXME: Doesn't provide prebuilt docs, but they can neither be rebuilt, bug #483332
@@ -105,6 +96,8 @@ src_configure() {
$(use_enable introspection) \
$(use_enable pango cogl-pango) \
$(use_enable test unit-tests) \
+ $(use_enable wayland wayland-egl-platform) \
+ $(use_enable wayland wayland-egl-server) \
--disable-profile
# $(use_enable profile)
}
diff --git a/media-libs/cogl/cogl-9999.ebuild b/media-libs/cogl/cogl-9999.ebuild
index 0199c34..2ab4111 100644
--- a/media-libs/cogl/cogl-9999.ebuild
+++ b/media-libs/cogl/cogl-9999.ebuild
@@ -12,12 +12,13 @@ if [[ ${PV} = 9999 ]]; then
fi
DESCRIPTION="A library for using 3D graphics hardware to draw pretty pictures"
-HOMEPAGE="http://www.clutter-project.org/"
+HOMEPAGE="http://www.cogl3d.org/"
LICENSE="MIT BSD"
SLOT="2.0/0" # subslot = .so version
# doc and profile disable for now due bugs #484750 and #483332
-IUSE="examples gles2 gstreamer +introspection +opengl +pango test" # doc profile
+IUSE="examples gles2 gstreamer +introspection +opengl +pango test wayland" # doc profile
+REQUIRED_USE="wayland? ( gles2 )"
if [[ ${PV} = 9999 ]]; then
KEYWORDS=""
IUSE="${IUSE} doc"
@@ -44,6 +45,9 @@ COMMON_DEPEND="
introspection? ( >=dev-libs/gobject-introspection-1.34.2 )
pango? ( >=x11-libs/pango-1.20.0[introspection?] )
+ wayland? (
+ >=dev-libs/wayland-1.1.90
+ media-libs/mesa[egl,wayland] )
"
# before clutter-1.7, cogl was part of clutter
RDEPEND="${COMMON_DEPEND}
@@ -58,6 +62,8 @@ DEPEND="${COMMON_DEPEND}
"
# Need classic mesa swrast for tests, llvmpipe causes a test failure
+# For some reason GL3 conformance test all fails again...
+RESTRICT="test"
if [[ ${PV} = 9999 ]]; then
DEPEND="${DEPEND}
@@ -84,7 +90,7 @@ src_prepare() {
}
src_configure() {
- # TODO: think about kms-egl, quartz, sdl, wayland
+ # TODO: think about kms-egl, quartz, sdl
# Prefer gl over gles2 if both are selected
# Profiling needs uprof, which is not available in portage yet, bug #484750
# FIXME: Doesn't provide prebuilt docs, but they can neither be rebuilt, bug #483332
@@ -105,6 +111,8 @@ src_configure() {
$(use_enable introspection) \
$(use_enable pango cogl-pango) \
$(use_enable test unit-tests) \
+ $(use_enable wayland wayland-egl-platform) \
+ $(use_enable wayland wayland-egl-server) \
--disable-profile
# $(use_enable profile)
}
next reply other threads:[~2014-12-07 23:08 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-12-07 23:08 Gilles Dartiguelongue [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-01-12 14:00 [gentoo-commits] proj/gnome:master commit in: media-libs/cogl/ Dennis Lamm
2016-01-30 17:33 Priit Laes
2015-09-13 22:03 Ole Reifschneider
2015-06-09 9:16 Gilles Dartiguelongue
2015-04-18 9:00 Ole Reifschneider
2014-12-26 21:47 Gilles Dartiguelongue
2014-12-08 21:57 Gilles Dartiguelongue
2014-11-03 23:24 Gilles Dartiguelongue
2014-10-12 23:19 Gilles Dartiguelongue
2014-04-15 22:05 Gilles Dartiguelongue
2013-12-19 23:40 Gilles Dartiguelongue
2013-03-15 7:38 Priit Laes
2013-01-19 21:38 Alexandre Rostovtsev
2012-12-19 0:39 Alexandre Rostovtsev
2012-10-27 19:40 Gilles Dartiguelongue
2012-09-16 7:44 Alexandre Rostovtsev
2012-09-15 7:53 Alexandre Rostovtsev
2011-10-29 19:41 Alexandre Restovtsev
2011-10-18 7:37 Alexandre Restovtsev
2011-10-01 4:39 Alexandre Restovtsev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1417993712.2b72686a4d9ee3dccb170f681ad6d12735870a40.eva@gentoo \
--to=eva@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox